UbixOS V2 2.0

Functions
libcpp.h File Reference
`#include <sys/types.h>`
Include dependency graph for libcpp.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions
void | operator delete (void *ptr)
void | operator delete[] (void *ptr)
void * | operator new (unsigned size)
void * | operator new[] (unsigned size)

## Function Documentation

## ◆ operator delete()

void operator delete | ( | void * | ptr | ) |

Definition at line 73 of file libcpp.cc.

References kfree().

Here is the call graph for this function:

## ◆ operator delete[]()

void operator delete[] | ( | void * | ptr | ) |

Definition at line 62 of file libcpp.cc.

References kfree().

Here is the call graph for this function:

## ◆ operator new()

void* operator new | ( | unsigned | size | ) |

Definition at line 68 of file libcpp.cc.

References kmalloc().

Here is the call graph for this function:

## ◆ operator new[]()

void* operator new[] | ( | unsigned | size | ) |

Definition at line 58 of file libcpp.cc.

References kmalloc().

Here is the call graph for this function: